Name:           pika-backup
Version:        0.7.4
Release:        2%{?dist}
Summary:        Backup tool powered by BorgBackup

License:        GPL-3.0-only
URL:            https://gitlab.gnome.org/World/pika-backup
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz
Source1:        vendor.tar.gz
Source2:        vendor-config.toml

BuildRequires:  cargo-rpm-macros
BuildRequires:  git
BuildRequires:  itstool
BuildRequires:  meson

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

Requires:       borgbackup

%description
Doing backups the easy way. Plugin your USB drive and let the Pika do the rest for you. 

Features:
- Create backups locally and remotely
- Set a schedule for regular backups
- Save time and disk space because Pika Backup does not need to copy known data again
- Encrypt your backups
- List created archives and browse through their contents
- Recover files or folders via your file browser

%prep
%autosetup -n %{name}-v%{version} -p1 -a1
%cargo_prep -N
if [ -f .cargo/config.toml ]; then
  cat %{SOURCE2} >> .cargo/config.toml
else
  cat %{SOURCE2} >> .cargo/config
fi

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.World.PikaBackup.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.World.PikaBackup.Monitor.desktop
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/org.gnome.World.PikaBackup.Monitor.desktop

appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.gnome.World.PikaBackup.metainfo.xml

%files -f %{name}.lang
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/pika-backup
%{_bindir}/pika-backup-monitor
%{_datadir}/applications/org.gnome.World.PikaBackup.desktop
%{_datadir}/applications/org.gnome.World.PikaBackup.Monitor.desktop
%{_datadir}/dbus-1/services/org.gnome.World.PikaBackup.service
%{_datadir}/dbus-1/services/org.gnome.World.PikaBackup.Api.service
%{_datadir}/dbus-1/services/org.gnome.World.PikaBackup.Monitor.service
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.World.PikaBackup.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.World.PikaBackup-symbolic.svg
%{_datadir}/metainfo/org.gnome.World.PikaBackup.metainfo.xml
%{_sysconfdir}/xdg/autostart/org.gnome.World.PikaBackup.Monitor.desktop

%changelog
* Thu Mar 27 2025 Umut Demir <umutd3401@posteo.com> - 0.7.4-2
- Require borgbackup

* Thu Mar 27 2025 Umut Demir <umutd3401@posteo.com> - 0.7.4-1
- Initial release
